org.apache.commons.jelly.tags.define

## Class AttributeTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.AttributeTag

All Implemented Interfaces:
  Tag

    public class AttributeTag
    extends TagSupport

This tag is bound onto a Java Bean class. When the tag is invoked a bean will be created using the tags attributes. The bean may also have an invoke method called invoke(), run(), execute() or some such method which will be invoked after the bean has been configured.

Version:
  $Revision: 155420 $
Author:
  James Strachan, Jason van Zyl

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`AttributeTag()`
`AttributeTag(Attribute attribute)`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setDefaultValue(Expression defaultValue)` Sets the default value of this attribute
`void` `setName(String name)` Sets the name of the attribute
`void` `setRequired(boolean required)` Sets whether this attribute is mandatory or not

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeTag

    public AttributeTag()

#### AttributeTag

    public AttributeTag(Attribute attribute)

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setName

    public void setName(String name)

Sets the name of the attribute

#### setRequired

    public void setRequired(boolean required)

Sets whether this attribute is mandatory or not

#### setDefaultValue

    public void setDefaultValue(Expression defaultValue)

Sets the default value of this attribute